#ifndef __TSECC_H__
#define __TSECC_H__
  
/////////////////////////////////////////////////////////////////////////////
// Declare the functions from SATLINK.DLL
//  
typedef unsigned char uchar;
extern "C" __declspec(dllimport) short WINAPI ReadID(uchar *);
extern "C" __declspec(dllimport) short WINAPI ReadData(uchar *);
extern "C" __declspec(dllimport) short WINAPI WriteData(uchar *, short);
extern "C" __declspec(dllimport) short WINAPI TimerSet(short);
extern "C" __declspec(dllimport) short WINAPI CheckTimer(void);
extern "C" __declspec(dllimport) short WINAPI ReadTimer(uchar *, uchar *);
extern "C" __declspec(dllimport) short WINAPI WriteProtectT(void);   
extern "C" __declspec(dllimport) short WINAPI NextDS1427(void);

/////////////////////////////////////////////////////////////////////////////
//
// CMainWindow:
// See hello.cpp for the code to the member functions and the message map.
//
class CMainWindow : public CFrameWnd
{
public:
	CMainWindow();

	//{{AFX_MSG( CMainWindow )
	afx_msg void OnAbout();
	afx_msg void OnChecktimer();
	afx_msg void OnExit();
	afx_msg void OnReaddata();
	afx_msg void OnReadid();
	afx_msg void OnReadtimer();
	afx_msg void OnSettimer();
	afx_msg void OnWritedata();
	afx_msg void OnWriteprottect();
	afx_msg void OnNextdevice();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

// CTheApp:
// See hello.cpp for the code to the InitInstance member function.
//
class CTheApp : public CWinApp
{
public:
	BOOL InitInstance();
};

/////////////////////////////////////////////////////////////////////////////

#endif // __TSECC_H__

