unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    ScratchButton: TButton;
    ExitButton: TButton;
    procedure ExitButtonClick(Sender: TObject);
    procedure ScratchButtonClick(Sender: TObject);
    {procedure DS1425Scratch(Sender: TObject);}
  private
    { Private declarations }
  public
    { Public declarations }

  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
Function dowcheck:Boolean;stdcall;external 'sacwd32.dll' name 'dowcheck';
Function setup(H: SmallInt; P: Pointer):Boolean;stdcall;external 'sacwd32.dll';
Function first(P: Pointer):Boolean;stdcall;external 'sacwd32.dll' name 'first';
Function nxt(P: Pointer):Boolean;stdcall;external 'sacwd32.dll' name 'next';
Function access(P: Pointer):Boolean;stdcall;external 'sacwd32.dll' name 'access';
Function databyte(B: Byte; P: Pointer):Byte;stdcall;external 'sacwd32.dll' name 'databyte';
{Function databit(H: Integer; P: Pointer):Integer;stdcall;external 'sacwd32.dll' name 'databit';}
Function romdata(P: Pointer):Pointer;stdcall;external 'sacwd32.dll' name 'romdata';
Function gndtest(P: Pointer):Boolean;stdcall;external 'sacwd32.dll' name 'gndtest';
Procedure keyopen;stdcall;external 'sacwd32.dll' name 'keyopen';
Procedure keyclose;stdcall;external 'sacwd32.dll' name 'keyclose';




procedure TForm1.ExitButtonClick(Sender: TObject);
begin
Application.Terminate;
end;

procedure TForm1.ScratchButtonClick(Sender: TObject);

type
    BPointer = Array[1..256] of Byte;
    ByteArrayPointer = ^BPointer;

var
    i: Integer;
    j, k:  Byte;
    ch: Char;
    pn: SmallInt;
    numButtons: Integer;
    gb: Array[1..256] of Byte;
    RomPtr: ByteArrayPointer;
    RomString, TempStr: String;


{**********************Start of Procedure ReadScratch*********************}
Procedure ReadScratch(RPtr: ByteArrayPointer);
 Var
  i: Integer;
  k: Byte;

  begin
    {**********Start of DS1425 Scratchpad Read*********************}
      If RPtr[1] = $82 Then     { family code of the DS1425 iButton }
        begin
          RomString := '   DS1425 ScratchPad Data: ';
          If access(@gb) Then
            begin
              k:=databyte($69,@gb);               { databyte(0x69) ReadScratchpad }
              k:=databyte($C0,@gb);               { indicate scratchpad starting at address 0 }
              k:=databyte($3F,@gb);

              For i := 1 To 32 do
                begin
                  RomString := RomString + Chr(databyte($FF, @gb));
                end;
            end; {If access }
          ListBox1.Items.Add(RomString);
        end; {If RomPtr }
{*****************End of DS1425 Scratchpad Read*************}
{*****************Start of DS1427 Scratchpad Read***********}
      If RPtr[1] = $84 Then      {family code of the DS1427 iButton}
        begin
          RomString := '   DS1427 ScratchPad Data: ';
          If access(@gb) Then
            begin
              k:= databyte($AA, @gb);
              For i:= 1 To 3 do
                begin
                  k:= databyte($FF, @gb);
                end;
              For i:= 1 To 32 do
                begin
                  RomString:= RomString + Chr(databyte($FF, @gb));
                end;
            end;  {if access}
          ListBox1.Items.Add(RomString);
        end;
        {******************End of DS1427 Scratchpad Read*******************}
  end; {procedure ReadScratch}
  {************************End of Procedure ReadScratch****************************}

begin {Main routine}
    i:= 0;
    pn := 1; { start with port number = 1}
    numButtons := 0;
    ListBox1.Items.Clear;
    ListBox1.Items.Add('');

    If dowcheck Then
       begin
         For pn := 1 To 3 do
          begin
            If setup(pn, @gb) Then
              begin
                keyopen;
                If first(@gb) Then
                {Find first button on one-wire buss}
                  begin
                    numButtons := numButtons + 1;
                    ListBox1.Items.Add('< Button #' + IntToStr(numButtons) + ' found on LPT' + IntToStr(pn) + ' >');
                    RomString := '   Rom Data: ';
                    RomPtr:= romdata(@gb);
                    For i:=1 to 8 do
                      begin
                        TempStr := IntToHex(StrToInt(IntToStr(RomPtr[i])),2);
                        RomString := RomString + TempStr;
                      end;
                    ListBox1.Items.Add(RomString);
                    ReadScratch(RomPtr);
                       ListBox1.Items.Add('');
                    While nxt(@gb) do
                    {Find all other buttons on one-wire buss}
                      begin
                        numButtons := numButtons + 1;
                        ListBox1.Items.Add('< Button #' + IntToStr(numButtons) + ' found on LPT' + IntToStr(pn) + ' >');
                        RomString := '   Rom Data: ';
                        RomPtr := romdata(@gb);
                        For i:=1 to 8 do
                          begin
                            TempStr := IntToHex(StrToInt(IntToStr(RomPtr[i])),2);
                            RomString := RomString + TempStr;
                          end;
                        ListBox1.Items.Add(RomString);
                        ReadScratch(RomPtr);
                        ListBox1.Items.Add('');
                      end; {While next}
                  end;
                keyclose;
              end;
          end;
       end; {dowcheck}

end;
end.
